org.pentaho.reporting.libraries.resourceloader

## Class ResourceCreationException

- java.lang.Object
- - StackableException
  - - org.pentaho.reporting.libraries.resourceloader.ResourceException
    - - org.pentaho.reporting.libraries.resourceloader.ResourceCreationException

Direct Known Subclasses:
  ContentNotRecognizedException

    public class ResourceCreationException
    extends ResourceException

Creation-Date: 05.04.2006, 17:33:09

Author:
  Thomas Morgner

### Constructor Summary

Constructors
Constructor and Description
`ResourceCreationException()` Creates a StackableRuntimeException with no message and no parent.
`ResourceCreationException(java.lang.String message)` Creates an exception.
`ResourceCreationException(java.lang.String message, java.lang.Exception ex)` Creates an exception.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceCreationException

    public ResourceCreationException()

Creates a StackableRuntimeException with no message and no parent.

#### ResourceCreationException

    public ResourceCreationException(java.lang.String message,
                             java.lang.Exception ex)

Creates an exception.

Parameters:
  `message` - the exception message.
  `ex` - the parent exception.

#### ResourceCreationException

    public ResourceCreationException(java.lang.String message)

Creates an exception.

Parameters:
  `message` - the exception message.